# This ingress will make your photo site available to web browsers. For this to work, you'll need an ingress controller
# already installed in your cluster: https://kubernetes.io/docs/concepts/services-networking/ingress-controllers/
# You should use TLS/SSL to protect the site. Either use cert-manager (https://cert-manager.io/) or something else.
# If TLS/SSL is available, uncomment the annotation below, and the tls section.

apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: photos.example.com
  # annotations:
  #   ingress.kubernetes.io/ssl-redirect: "true"
spec:
  ingressClassName: nginx
  rules:
  - host: photos.example.com
    http:
      paths:
      - pathType: Prefix
        path: "/"
        backend:
          service:
            name: proxy
            port:
              name: http
  # tls:
  # - hosts:
  #   - photos.example.com
  #   secretName: photos.example.com

---

# If you're using cert-manager, uncomment this to request a certificate that will be used by the ingress above.

# apiVersion: cert-manager.io/v1
# kind: Certificate
# metadata:
#   name: photos.example.com
# spec:
#   secretName: photos.example.com
#   dnsNames:
#   - photos.example.com
#   issuerRef:
#     kind: ClusterIssuer
#     name: letsencrypt
